Bug 259211 - emulators/wine-devel: explicitly point Vulkan loader at 32-bit Mesa libs
Summary: emulators/wine-devel: explicitly point Vulkan loader at 32-bit Mesa libs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-16 10:22 UTC by Alex S
Modified: 2021-10-27 10:33 UTC (History)
2 users (show)

See Also:
gerald: maintainer-feedback+


Attachments
Mesa 32-bit Vulkan fix (914 bytes, patch)
2021-10-16 10:22 UTC, Alex S
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex S 2021-10-16 10:22:34 UTC
Created attachment 228761 [details]
Mesa 32-bit Vulkan fix
Comment 1 Gerald Pfeifer freebsd_committer 2021-10-23 16:14:11 UTC
Thank you, Alex!

Damjan acked this by mail and I'll see to push this tomorrow.
Comment 2 commit-hook freebsd_committer 2021-10-25 14:33:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=48fcd1c22641393f82f4625da8729d280d614714

commit 48fcd1c22641393f82f4625da8729d280d614714
Author:     Alex S <iwtcex@gmail.com>
AuthorDate: 2021-10-25 11:45:55 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-10-25 14:31:53 +0000

    emulators/wine-devel: Point Vulkan loader at 32-bit Mesa libs

    PR:             259211
    Approved by:    Damjan Jovanovic <damjan.jov@gmail.com> (maintainer)

 emulators/wine-devel/Makefile            | 2 +-
 emulators/wine-devel/files/wine-wow64.sh | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)
Comment 3 Gerald Pfeifer freebsd_committer 2021-10-25 14:37:45 UTC
The change is in for wine-devel; thanks again!

@Alex, this very same patch is required for emulators/wine as well,
I assume?  (wine-proton appears to be covered already.)
Comment 4 Alex S 2021-10-25 14:49:54 UTC
(In reply to Gerald Pfeifer from comment #3)

Yes, that would be a good addition to emulators/wine as well.
Comment 5 commit-hook freebsd_committer 2021-10-27 10:28:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5c904df2ecdfe40bf56ae0fe1b6833958a358905

commit 5c904df2ecdfe40bf56ae0fe1b6833958a358905
Author:     Alex S <iwtcex@gmail.com>
AuthorDate: 2021-10-27 10:26:00 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-10-27 10:26:34 +0000

    emulators/wine: Point Vulkan loader at 32-bit Mesa libs

    This back ports commit 48fcd1c22641393f82f4625da8729d280d614714 from
    the wine-devel port.

    PR:             259211

 emulators/wine/Makefile            | 2 +-
 emulators/wine/files/wine-wow64.sh | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)
Comment 6 Gerald Pfeifer freebsd_committer 2021-10-27 10:33:23 UTC
Alright, all three Wine ports (wine, wine-devel, wine-proton) should be
fine now, I believe.

Thanks for the report and patch, Alex!


If there's anything outstanding left (I'll apply the pkg patch to wine
tomorrow or so), please advise.